# dockerfile

Represents a Dockerfile in an application.

### Examples

```graphql
type Dockerfile {
  path: String
}
```

### Fields

| Field         | Description                                  | Supported fields |
| ------------- | -------------------------------------------- | ---------------- |
| path `String` | The path to the Dockerfile in the repository |                  |

### References

#### Fields with this object:

* [{} Application.dockerfiles](/api-documentation/api-reference/api--application/types/objects/application.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/dockerfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
